QGIS Application - Bug report #17379
WMS layers not rendered in Composer - 2.18.14-16
2017-11-02 12:41 AM - Pedro Venancio

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Map Composer/Printing

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25276
Description

WMS layers are not rendered in Print Composer in QGIS 2.18.14-2 (code revision 9d4ab51ee1) - OSGeod4W 64bits.
To replicate:

1) Load a WMS layer in QGIS;

2) New Print Composer;

3) Add New Map.

Nothing appears in the map composer.

This only happens on QGIS 2.18.14-2. On 2.18.14-1 (code revision ff83b9a479), everything works ok.

This seems related with October 31 commits from Matthias, that try to fix this segmentation fault bug: #16803

PS: the affected version field is not correct. I've chosen 2.18.13 because 2.18.14 is not an option yet.

Associated revisions

Revision abb7d2a1 - 2017-12-01 06:21 PM - Matthias Kuhn

Revert force WMS rendering in non-gui thread

Fix #17379

History

#1 - 2017-11-02 02:32 AM - Nyall Dawson

Matthias - based on this i think we should back out commit:fde62409, and then kill that option to create raster preview images from the options dialog and

all code. It's just not worth the hassle.

#2 - 2017-11-02 09:12 AM - Jiirgen Fischer

- Description updated

#3 - 2017-11-02 10:59 AM - Luigi Pirelli

yes, it could be safe,the patch commit:b3ea17{3e2e8d430775d545bc624650ef3654766 would avoid to enter in draw call creating legend
related with this PR https://github.com/qgis/QGIS/pull/5302
#4 - 2017-11-02 01:07 PM - Matthias Kuhn

How does it not crash with the print composer but does crash with the preview image?

Isn't the print composer potentially also in a dangerous situation to die if the user interacts during export or other unexpected things happen in
processEvents?

I'm ok with this fix for 2.18 because it seems it's the quickest way we can get to a relatively safe situation. For 3.0 we need to find a better solution,
QEventLoop and processEvents calls on the main thread are evil.

I'll try to come up with something.

#5 - 2017-11-27 06:32 PM - Pedro Venancio

Hi Matthias,

This is happening again in QGIS code revision 193ead7398.

#6 - 2017-11-27 07:52 PM - Giovanni Manghi
- Status changed from Open to Feedback

So now this affects only master? or again also 2.18.*?

#7 - 2017-11-27 08:20 PM - Pedro Venancio

Hi Giovanni,

It does not affects master, neither 2.14.20. It only affects 2.18.x (>=2.18.14-2).

Somehow | thought this change was reverted when | opened this ticket, but now | see that this is broken since then. The machine where I've tested this

morning wasn't updated since 2.18.14-1 (code revision ff83b9a479), was only updated today.

So, this seems a serious problem, that should be avoided in the next point release 2.18.15 (2017-12-08).

#8 - 2017-11-27 11:55 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.13 t0 2.18.14

- Subject changed from WMS layers not rendered in Composer - 2.18.14-2 code revision 9d4ab51ee1 to WMS layers not rendered in Composer -

2.18.14-16
- Status changed from Feedback to Open

So, 2.18.14-16 is affected, 2.18.14-1 is not. Must be fixed otherwise is will affect the next standalone installers too.

#9 - 2017-12-01 12:25 PM - Matthias Kuhn

Pull request pending
#10 - 2017-12-01 06:21 PM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|abb7d2a19eaabee928f524f305c05795f9a8c301.

#11 - 2017-12-01 07:04 PM - Giovanni Manghi
- Resolution set to fixed/implemented
